# /usr/local/etc/thread1.conf
#
# This config file was generated by motion 3.2.1



###########################################################
# Capture device options
############################################################

#Videodevice to be used for capturing  (default /dev/video0)
#for FreeBSD default is /dev/bktr0
videodevice /dev/video1

#The video norm to use (only for video capture and TV tuner cards)
#Values: 0 (PAL), 1 (NTSC), 2 (SECAM), 3 (PAL NC no colour). Default: 0 (PAL)
norm 1

#Image width (pixels). Valid range: Camera dependent, default: 352
width 640

#Image height (pixels). Valid range: Camera dependent, default: 288
height 480

#Maximum number of frames to be captured per second.
#Valid range: 2-100. Default: 100 (almost no limit).
framerate 5


############################################################
# Motion Detection Settings:
############################################################

#Threshold for number of changed pixels in an image that
#triggers motion detection (default: 1500)
threshold 130

#Automatically tune the threshold down if possible (default: on)
threshold_tune off

#Despeckle motion image using (e)rode or (d)ilate or (l)abel (Default: not defined)
#Recommended value is EedDl. Any combination (and number of) of E, e, d, and D is valid.
#(l)abeling must only be used once and in the last place.
#Comment out to disable
despeckle EedDl

#Dynamically create a mask file during operation (default: 0)
#Adjust speed of mask changes from 0 (off) to 10 (fast)
smart_mask_speed 5

#Ignore sudden massive light intensity changes given as a percentage of the picture
#area that changed intensity. Valid range: 0 - 100 , default: 0 = disabled
lightswitch 30

#Specifies the number of pre-captured (buffered) pictures from before motion
#was detected that will be output at motion detection (default: 0)
pre_capture 5

#Number of frames to capture after motion is no longer detected (default: 0)
post_capture 10

#Maximum length in seconds of an mpeg movie
#When value is exceeded a new mpeg file is created. (Default: 0 = infinite)
max_mpeg_time 0

#Number of frames per second to capture when not detecting
#motion (saves CPU load) (Default: 0 = disabled)
low_cpu 0


############################################################
# Image File Output
############################################################

#Output 'normal' pictures when motion is detected (default: on)
#Valid values: on, off, first
#When set to 'first', only the first picture of an event is saved.
#Can be used as preview shot for the corresponding movie.
output_normal first

#Draw a user defined text on the images using same options as C function strftime(3)
#Default: Not defined = no text
#Text is placed in lower left corner
text_left Logitech 4000 web cam


############################################################
# Target Directories and filenames For Images And Films
# For the options snapshot_, jpeg_, mpeg_ and timelapse_filename
# you can use conversion specifiers
# %Y = year, %m = month, %d = date,
# %H = hour, %M = minute, %S = second,
# %v = event, %q = frame number
# Quotation marks round string are allowed.
############################################################

#Target base directory for pictures and films
target_dir /var/www/html/cam1


############################################################
# Live Webcam Server
############################################################

#The mini-http server listens to this port for requests (default: 0 = disabled)
webcam_port 8086

#Quality of the jpeg images produced (default: 30)
webcam_quality 50

#Maximum framerate for webcam streams (default: 100)
webcam_maxrate 1

#Restrict webcam connections to localhost only (default: on)
webcam_localhost off

#Motor number for x-axis (default: -1)
track_motorx -1

#Number of steps to make (default: 40)
track_stepsize 0


############################################################
# External Commands, Warnings and Logging:
############################################################

#Output less information and don't sound beeps when detecting motion (default: off)
quiet on


